mod day1;
mod day2;
mod day3;
mod day4;
mod day5;
mod day6;
mod day7;
mod day8;

fn main() {
    let day = std::env::args().skip(1).next();

    let result = match day.as_ref().map(|v| v.as_ref()) {
        Some("1a") => day1::day1a(),
        Some("1b") => day1::day1b(),
        Some("2a") => day2::day2a(),
        Some("2b") => day2::day2b(),
        Some("3a") => day3::day3a(),
        Some("3b") => day3::day3b(),
        Some("4a") => day4::day4a(),
        Some("4b") => day4::day4b(),
        Some("5a") => day5::day5a(),
        Some("5b") => day5::day5b(),
        Some("6a") => day6::day6a(),
        Some("6b") => day6::day6b(),
        Some("7a") => day7::day7a(),
        Some("7b") => day7::day7b(),
        Some("8a") => day8::day8a(),
        Some("8b") => day8::day8b(),
        _ => panic!("unrecognized day"),
    };

    println!("[{}] {}", day.unwrap(), result);
}
